EDIT - task #9094

Update script to update TaxonNode.source from IdentifiableSource to DescriptionElementSource
06/24/2020 03:45 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

This is only required on test servers which have been updated during development of 5.15. Most DBs have already been udated so
this is only an "in case" ticket

UPDATE OriginalSourceBase osb
SET osb.DTYPE = 'DescriptionElementSource'
WHERE osb.id IN (SELECT source_id FROM TaxonNode tn)

Related issues:
Related to EDIT - feature request #9004: Make TaxonNode.referenceForParentChi... Closed

Associated revisions

Revision 3bcb7fc8 - 09/07/2020 05:52 PM - Andreas Miiller

fix #9094 update TaxonNode.source from IdentifiableSource to DescriptionElementSource

History

#1 - 06/24/2020 03:45 PM - Andreas Miiller

- Related to feature request #9004: Make TaxonNode.referenceForParentChildRelation an OriginalSource and rename it to (placement)source added

#2 - 09/02/2020 02:27 PM - Andreas Miiller

- Subject changed from Update script to update from TaxonNode.source as IdentifiableEN'ity to DescriptionElementSource to Update script to update
TaxonNode.source from IdentifiableSource to DescriptionElementSource

- Status changed from New to Resolved

- % Done changed from 0 to 50

#3 - 11/27/2020 04:04 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.18

#4 - 11/27/2020 04:06 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Target version changed from Release 5.18 to CDM UML 5.43
- % Done changed from 50 to 100

This is fixed

#5 - 12/05/2020 11:57 AM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.18
